import { isValidElement } from "react";
//#region src/types/typeGuard.tsx
function isReactNode(value) {
	return typeof value === "string" || typeof value === "number" || typeof value === "boolean" || value === null || value === void 0 || isValidElement(value) || Array.isArray(value) && value.every(isReactNode);
}
//#endregion
export { isReactNode };
